Bug 833306 - hplip-3.12.6 is available
hplip-3.12.6 is available
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-06-19 04:18 EDT by Upstream Release Monitoring
Modified: 2012-07-20 05:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-10 16:56:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-06-19 04:18:39 EDT
Latest upstream release: 3.12.6
Current version in Fedora Rawhide: 3.12.4
URL: http://sourceforge.net/api/file/index/project-name/hplip/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
Comment 2 Fedora Update System 2012-06-19 06:13:00 EDT
hplip-3.12.6-1.fc17 has been submitted as an update for Fedora 17.
Comment 3 Fedora Update System 2012-06-19 20:35:03 EDT
Package hplip-3.12.6-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hplip-3.12.6-1.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-07-10 16:56:50 EDT
hplip-3.12.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 D. Charles Pyle 2012-07-20 02:55:50 EDT
With these updates installed, my ability to use the scanner on the HP Officejet Pro L7680 is prevented. Scanning fails with repeated "End of file" (code 5) errors even though the scanner is detected and both printing and fax work as expected. Downgrading all related and dependent packages to 3.12.4, including the libsane-hpaio package, makes it all work again.

The problem seems to be with the libsane-hpaio package. The scanner can be seen by scanimage, hp-test and other packages, and hp-test -t throws no errors or warnings after running, but scanning always fails with the "End of file" (code 5) error, with no output. It seems like a library is missing from the libsane-hpaio package, perhaps a static library(?) somewhere.
Comment 6 Jiri Popelka 2012-07-20 05:59:48 EDT
(In reply to comment #5)
> It seems like a library is missing
> from the libsane-hpaio package, perhaps a static library(?) somewhere.

Can you remove all the related packages and try the upstream installer [1],
to make sure it's not a packaging problem of some sort ?
If you still see the problem, please report [2] it upstream. Thanks!

[1] http://prdownloads.sourceforge.net/hplip/hplip-3.12.6.run
[2] https://bugs.launchpad.net/hplip/+filebug

Note You need to log in before you can comment on or make changes to this bug.